<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'custom-export-view'">
  @if (customExportViewService.componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <div class="full-width p-t-10 p-r-30 flex">
          <div class="header-left">
            <div class="m-t-10" style="width: 40px">
              <sqtm-core-fold-button></sqtm-core-fold-button>
            </div>
          </div>
          <div class="header-center full-width">
            <div class="title">
              <sqtm-core-editable-text-field
                class="entity-name"
                [attr.data-test-field-id]="'entity-name'"
                [sqtmCoreEntityViewEditableTextField]="'name'"
                [editable]="componentData.permissions.canWrite"
                [required]="true"
                [trimValue]="true"
                [layout]="'compact'"
                [size]="'large'"
              >
              </sqtm-core-editable-text-field>
            </div>
          </div>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
  }
</sqtm-core-entity-view-wrapper>
